<template src="./create.htm"></template>

<script>

    import Vue from 'vue';
    import CreateInfo from './components/info/CreateInfoComponent.vue';
    import CreateAttributesComponent from './components/attributes/CreateAttributesComponent.vue';
    import CreateImagesComponent from './components/images/CreateImagesComponent.vue';
    import CreateRelatedProductsComponent from './components/related/CreateRelatedProductsComponent.vue';

    import { breadcrumbsMixin } from '../../../mixins/breadcrumbsMixin.js';
    import HandleEntityMixin from '../../../mixins/entities/handleEntityMixin.js';
    import HandleProductMixin from '../../mixins/handleProductMixin.js';
    import ValidationErrorsMixin from '../../../mixins/validationErrorsMixin.js';

    Vue.component('create-info', CreateInfo);
    Vue.component('create-attributes', CreateAttributesComponent);
    Vue.component('create-images', CreateImagesComponent);
    Vue.component('create-related-products', CreateRelatedProductsComponent);

    export default {

        data() {

            return {

            }
        },

        mixins: [
            breadcrumbsMixin,
            HandleEntityMixin,
            HandleProductMixin,
            ValidationErrorsMixin
        ],

        methods: {

            /**
             **/
            createProduct(action) {

                this.handleEntity('product', action, route('admin.products.store'));
            }
        }
    }

</script>